Bug 388881 - rpmlint doesn't complain about empty tags
rpmlint doesn't complain about empty tags
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-17 16:19 EST by Stephen Warren
Modified: 2007-12-21 16:08 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.82-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-21 16:08:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stephen Warren 2007-11-17 16:19:10 EST
Description of problem:
If a .spec file contains this line:
Conflicts:
Then rpmlint doesn't complain about it, but rpmbuild won't process the spec file

Version-Release number of selected component (if applicable):
rpmlint-0.81-1.fc8

How reproducible:
Always

Steps to Reproduce:
1. Create a .spec file containing the line "Conflicts:"
2. Run rpmlint on the .spec file
  
Actual results:
No errors/warnings

Expected results:
An error/warning should be produced
Comment 1 Ville Skyttä 2007-11-17 17:19:24 EST
rpmlint does not have a full featured specfile parser; for specfile syntax
checks you can run eg. "rpm -q --specfile /path/to/foo.spec".

Limitation documented upstream, but as far as I'm concerned, the implementation
is unlikely to change.  http://rpmlint.zarb.org/cgi-bin/trac.cgi/changeset/1383
Comment 2 Fedora Update System 2007-12-07 16:33:25 EST
rpmlint-0.82-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rpmlint'
Comment 3 Fedora Update System 2007-12-21 16:08:18 EST
rpmlint-0.82-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.